
package net.mcreator.xtrastuff.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;

import net.mcreator.xtrastuff.entity.WormEntity;
import net.mcreator.xtrastuff.client.model.ModelCustomModel;

public class WormRenderer extends MobRenderer<WormEntity, ModelCustomModel<WormEntity>> {
	public WormRenderer(EntityRendererProvider.Context context) {
		super(context, new ModelCustomModel(context.bakeLayer(ModelCustomModel.LAYER_LOCATION)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(WormEntity entity) {
		return new ResourceLocation("xtra_stuff:textures/entities/wormtexture.png");
	}

	@Override
	protected boolean isShaking(WormEntity entity) {
		return true;
	}
}
