
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.xtrastuff.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLCommonSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.entity.EntityAttributeCreationEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;

import net.mcreator.xtrastuff.entity.WormEntity;
import net.mcreator.xtrastuff.entity.PagEntity;
import net.mcreator.xtrastuff.entity.CanEntity;
import net.mcreator.xtrastuff.XtraStuffMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class XtraStuffModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(ForgeRegistries.ENTITY_TYPES, XtraStuffMod.MODID);
	public static final RegistryObject<EntityType<CanEntity>> CAN = register("can",
			EntityType.Builder.<CanEntity>of(CanEntity::new, MobCategory.CREATURE).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(CanEntity::new)

					.sized(0.6f, 1.8f));
	public static final RegistryObject<EntityType<WormEntity>> WORM = register("worm",
			EntityType.Builder.<WormEntity>of(WormEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(WormEntity::new)

					.sized(0.6f, 1.8f));
	public static final RegistryObject<EntityType<PagEntity>> PAG = register("pag",
			EntityType.Builder.<PagEntity>of(PagEntity::new, MobCategory.CREATURE).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(PagEntity::new)

					.sized(0.6f, 1.8f));

	private static <T extends Entity> RegistryObject<EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}

	@SubscribeEvent
	public static void init(FMLCommonSetupEvent event) {
		event.enqueueWork(() -> {
			CanEntity.init();
			WormEntity.init();
			PagEntity.init();
		});
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(CAN.get(), CanEntity.createAttributes().build());
		event.put(WORM.get(), WormEntity.createAttributes().build());
		event.put(PAG.get(), PagEntity.createAttributes().build());
	}
}
