
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.xtrastuff.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.BuildCreativeModeTabContentsEvent;

import net.minecraft.world.item.Items;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.network.chat.Component;
import net.minecraft.core.registries.Registries;

import net.mcreator.xtrastuff.XtraStuffMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class XtraStuffModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, XtraStuffMod.MODID);
	public static final RegistryObject<CreativeModeTab> XTRA_STUFF = REGISTRY.register("xtra_stuff",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.xtra_stuff.xtra_stuff")).icon(() -> new ItemStack(Items.IRON_NUGGET)).displayItems((parameters, tabData) -> {
				tabData.accept(XtraStuffModItems.CAN_SPAWN_EGG.get());
				tabData.accept(XtraStuffModItems.CANITEM.get());
				tabData.accept(XtraStuffModItems.EMPTYCAN.get());
				tabData.accept(XtraStuffModItems.SCRAP.get());
				tabData.accept(XtraStuffModItems.SCRAPSWORD.get());
				tabData.accept(XtraStuffModBlocks.BLOCKOFDRIEPKELPBLOCKS.get().asItem());
				tabData.accept(XtraStuffModBlocks.IRONNUGGETORE.get().asItem());
				tabData.accept(XtraStuffModItems.WORM_SPAWN_EGG.get());
				tabData.accept(XtraStuffModItems.IRON_NUGGET_ORE_ORE_INGOT.get());
				tabData.accept(XtraStuffModBlocks.ACE_WOOD.get().asItem());
				tabData.accept(XtraStuffModBlocks.ACE_LOG.get().asItem());
				tabData.accept(XtraStuffModBlocks.ACE_PLANKS.get().asItem());
				tabData.accept(XtraStuffModBlocks.ACE_LEAVES.get().asItem());
				tabData.accept(XtraStuffModBlocks.ACE_STAIRS.get().asItem());
				tabData.accept(XtraStuffModBlocks.ACE_SLAB.get().asItem());
				tabData.accept(XtraStuffModBlocks.ACE_FENCE.get().asItem());
				tabData.accept(XtraStuffModBlocks.ACE_FENCE_GATE.get().asItem());
				tabData.accept(XtraStuffModBlocks.ACE_PRESSURE_PLATE.get().asItem());
				tabData.accept(XtraStuffModBlocks.ACE_BUTTON.get().asItem());
				tabData.accept(XtraStuffModItems.RAWPAGMEAT.get());
				tabData.accept(XtraStuffModItems.COOKEDPAGMEAT.get());
			}).withSearchBar().build());

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {

		if (tabData.getTabKey() == CreativeModeTabs.BUILDING_BLOCKS) {
			tabData.accept(XtraStuffModBlocks.IRON_NUGGET_ORE_ORE_ORE.get().asItem());
			tabData.accept(XtraStuffModBlocks.IRON_NUGGET_ORE_ORE_BLOCK.get().asItem());
		}

		if (tabData.getTabKey() == CreativeModeTabs.SPAWN_EGGS) {
			tabData.accept(XtraStuffModItems.PAG_SPAWN_EGG.get());
		}
	}
}
